class_name InputListener extends Node

signal pressed
signal released

@export var action: String

func _input(event: InputEvent) -> void:
    if event.is_action_pressed(action):
        pressed.emit()

    if event.is_action_released(action):
        released.emit()
